Name:           jsch
Version:        0.1.54
Release:        %mkrel 1
Summary:        Pure Java implementation of SSH2
Group:          Development/Java
License:        BSD
URL:            http://www.jcraft.com/jsch/
BuildArch:      noarch

Source0:        http://download.sourceforge.net/sourceforge/jsch/jsch-%{version}.zip
# wget \
# http://download.eclipse.org/tools/orbit/downloads/drops/R20090825191606/bundles/com.jcraft.jsch_0.1.41.v200903070017.jar
# unzip com.jcraft.jsch_*.jar META-INF/MANIFEST.MF
# mv META-INF/MANIFEST.MF .
# sed -i "/^Name/d" MANIFEST.MF
# sed -i "/^SHA1/d" MANIFEST.MF
# dos2unix MANIFEST.MF
# sed -i "/^$/d" MANIFEST.MF
# unix2dos MANIFEST.MF
Source1:        MANIFEST.MF
Source2:        plugin.properties

BuildRequires:  maven-local
BuildRequires:  mvn(com.jcraft:jzlib)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:  zip

Requires:       jzlib >= 0:1.0.5
Obsoletes: %{name}-demo < %{version}

%description
JSch allows you to connect to an sshd server and use port forwarding, 
X11 forwarding, file transfer, etc., and you can integrate its 
functionality into your own Java programs.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
%{summary}.

%prep
%setup -q
%mvn_file : jsch

%pom_xpath_remove pom:project/pom:build/pom:extensions
%pom_xpath_set pom:project/pom:version %{version}

%build
%mvn_build

# inject the OSGi Manifest
mkdir META-INF
cp %{SOURCE1} META-INF
cp %{SOURCE2} plugin.properties
touch META-INF/MANIFEST.MF
touch plugin.properties
zip target/%{name}-%{version}.jar META-INF/MANIFEST.MF
zip target/%{name}-%{version}.jar plugin.properties

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Tue Sep 06 2016 daviddavid <daviddavid> 0.1.54-1.mga6
+ Revision: 1050268
- New upstream release 0.1.54 fixes CVE-2016-5725 (mga#19296)
- Fix version in pom.xml
- Add missing build-requires

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Wed Mar 02 2016 neoclust <neoclust> 0.1.53-5.mga6
+ Revision: 981759
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.1.53-4.mga6
+ Revision: 976464
- First rebuild of the java stack
- sync package jsch with fedora

* Tue Feb 09 2016 umeabot <umeabot> 0:0.1.51-5.mga6
+ Revision: 952176
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 0:0.1.51-4.mga5
+ Revision: 811330
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 0:0.1.51-3.mga5
+ Revision: 747210
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:0.1.51-2.mga5
+ Revision: 680866
- Mageia 5 Mass Rebuild

* Thu May 08 2014 dmorgan <dmorgan> 0:0.1.51-1.mga5
+ Revision: 621297
- New version

* Sat Oct 19 2013 umeabot <umeabot> 0:0.1.49-2.mga4
+ Revision: 529749
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dmorgan <dmorgan> 0:0.1.49-1.mga4
+ Revision: 453169
- New version

* Sat Jan 12 2013 umeabot <umeabot> 0:0.1.48-4.mga3
+ Revision: 355600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 0:0.1.48-3.mga3
+ Revision: 324934
- Add maven POM

* Thu Jul 05 2012 dmorgan <dmorgan> 0:0.1.48-2.mga3
+ Revision: 268222
- New release 0.1.48

* Fri Jan 06 2012 dmorgan <dmorgan> 0:0.1.45-1.mga2
+ Revision: 192151
- New version 0.1.45

* Sun Dec 25 2011 dmorgan <dmorgan> 0:0.1.44-2.mga2
+ Revision: 187552
- Rebuild for OSGi provides.

* Mon Mar 07 2011 dmorgan <dmorgan> 0:0.1.44-1.mga1
+ Revision: 65822
- New version ( sync with fedora )

* Sat Jan 15 2011 mikala <mikala> 0:0.1.41-0.0.2.mga1
+ Revision: 18460
- imported package jsch

